## org.eclipse.ocl.cst
Interface OperationCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Implementing Classes:
  OperationCSImpl

    public interface OperationCS

extends CSTNode

A representation of the model object 'Operation CS'.

The following features are supported:

- `Path Name CS`
- `Simple Name CS`
- `Parameters`
- `Type CS`

See Also:
  `CSTPackage.getOperationCS()`

Method Summary
`EList<VariableCS>` `getParameters()` Returns the value of the 'Parameters' containment reference list.
`PathNameCS` `getPathNameCS()` Returns the value of the 'Path Name CS' containment reference
`SimpleNameCS` `getSimpleNameCS()` Returns the value of the 'Simple Name CS' containment reference
`TypeCS` `getTypeCS()` Returns the value of the 'Type CS' containment reference
`void` `setPathNameCS(PathNameCS value)` Sets the value of the '`Path Name CS`' containment reference
`void` `setSimpleNameCS(SimpleNameCS value)` Sets the value of the '`Simple Name CS`' containment reference
`void` `setTypeCS(TypeCS value)` Sets the value of the '`Type CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPathNameCS

    PathNameCS getPathNameCS()

  Returns the value of the 'Path Name CS' containment reference.

  If the meaning of the 'Path Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path Name CS' containment reference.
  See Also:
    `setPathNameCS(PathNameCS)`, `CSTPackage.getOperationCS_PathNameCS()`

### setPathNameCS

    void setPathNameCS(PathNameCS value)

  Sets the value of the '`Path Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Path Name CS' containment reference.
  See Also:
    `getPathNameCS()`

### getSimpleNameCS

    SimpleNameCS getSimpleNameCS()

  Returns the value of the 'Simple Name CS' containment reference.

  If the meaning of the 'Simple Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Name CS' containment reference.
  See Also:
    `setSimpleNameCS(SimpleNameCS)`, `CSTPackage.getOperationCS_SimpleNameCS()`

### setSimpleNameCS

    void setSimpleNameCS(SimpleNameCS value)

  Sets the value of the '`Simple Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Name CS' containment reference.
  See Also:
    `getSimpleNameCS()`

### getParameters

    EList<VariableCS> getParameters()

  Returns the value of the 'Parameters' containment reference list. The list contents are of type `VariableCS`.

  If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `CSTPackage.getOperationCS_Parameters()`

### getTypeCS

    TypeCS getTypeCS()

  Returns the value of the 'Type CS' containment reference.

  If the meaning of the 'Type CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type CS' containment reference.
  See Also:
    `setTypeCS(TypeCS)`, `CSTPackage.getOperationCS_TypeCS()`

### setTypeCS

    void setTypeCS(TypeCS value)

  Sets the value of the '`Type CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Type CS' containment reference.
  See Also:
    `getTypeCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.